"""
Generate time series of nominated "gauges".
Input: sww file from run_perth.py
       gauges project_250m.gauge_filename
Output: csv files stage,speed,depth,elevation over time
Stored in the 'outputs_dir' folder for respective .sww file

Note:
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

from os import sep, rename, listdir, system
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project_250m

directory = project_250m.output_dir

time_dir1 = '20090115_151520_run_final_0_250m_kvanputt'
time_dir2 = '20090115_164756_run_final_0_250m_small_kvanputt'

time_dirs = [time_dir1, time_dir2]

for time_dir in time_dirs:
    name = directory+time_dir+sep+project_250m.scenario_name
    gauge = project_250m.gauges_dir_name
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)

    
##    name1 = directory+time_dir+sep+project_250m.scenario_name 
####    name2 = directory+time_dir+sep+project_250m.scenario_name+'_time_43380_0'
####    name3 = directory+time_dir+sep+project_250m.scenario_name+'_time_78360_0'
##
##    names = [name1]#, name2, name3]
##
##    for i, name in enumerate(names):
##        gauge = project_250m.gauges_dir_name
####        out_name = 'gauge_%d_' % i
##        print name
##        sww2csv_gauges(name+'.sww',gauge,#out_name = out_name,
##                        quantities = ['stage','speed','depth','elevation'],
##                        verbose=True)
##
